    001    /*
    002     * Licensed to the Apache Software Foundation (ASF) under one or more
    003     * contributor license agreements.  See the NOTICE file distributed with
    004     * this work for additional information regarding copyright ownership.
    005     * The ASF licenses this file to You under the Apache License, Version 2.0
    006     * (the "License"); you may not use this file except in compliance with
    007     * the License.  You may obtain a copy of the License at
    008     *
    009     *     http://www.apache.org/licenses/LICENSE-2.0
    010     *
    011     * Unless required by applicable law or agreed to in writing, software
    012     * distributed under the License is distributed on an "AS IS" BASIS,
    013     * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    014     * See the License for the specific language governing permissions and
    015     * limitations under the License.
    016     */
    017    package org.apache.commons.configuration.resolver;
    018
    019    import org.xml.sax.EntityResolver;
    020
    021    /**
    022     * Interface that identifies the class as using an EntityResolver
    023     * @author <a href="http://commons.apache.org/configuration/team-list.html">Commons
    024     * Configuration team</a>
    025     * @since 1.7
    026     * @version $Id: EntityResolverSupport.java 1206761 2011-11-27 16:35:34Z oheger $
    027     */
    028    public interface EntityResolverSupport
    029    {
    030        /**
    031         * Return the EntityResolver associated with the class.
    032         * @return The EntityResolver.
    033         */
    034        EntityResolver getEntityResolver();
    035
    036        /**
    037         * Set the EntityResolver to associate with this class.
    038         * @param resolver The EntityResolver
    039         */
    040        void setEntityResolver(EntityResolver resolver);
    041    }